INNCHECK(8)

NAME
inncheck - Check INN configuration and database files

SYNOPSIS
inncheck [-afqv] [--noperm | --perm] [--pedantic] [file | file=path ...]

DESCRIPTION
inncheck examines various configuration files and databases and verifies things about them. Things verified depend on the file being checked, but generally are things like permissions, ownership, syntax errors in config files, etc.

inncheck does not make changes to any files -- it just reports what it thinks may be wrong, and it is up to the operator to fix the problem

The set of files checked may be restricted by using file or file=path arguments. For example, putting "incoming.conf" causes only the incoming.conf file to be checked. Using "incoming.conf=/tmp/incoming.conf" on the command line will cause inncheck to only verify the incoming.conf file, and it will perform the checks on the /tmp/incoming.conf file instead of the default one. Setting a file path to an empty value like "incoming.conf=" will skip the check for that file (this only makes sense with -a, or no files will be checked at all).

Valid values for file are:

    active
    control.ctl
    control.ctl.local
    expire.ctl
    incoming.conf
    inn.conf
    innfeed.conf
    moderators
    newsfeeds
    nntpsend.ctl
    passwd.nntp
    readers.conf
    storage.conf

OPTIONS

-a, --all
    If any file value or file=path pairs (see below) are given, then normally only the files they refer to are checked. Use the -a (or --all) flag to specify that all files should be checked regardless. In this case the form file=path will be the more useful.

-f, --fix
    Use the -f flag (or --fix) to have inncheck print the appropriate chown/chgrp/chmod command necessary to fix a problem that it reports. Any other output lines will be prefixed with a hash sign ("#") to make the output be valid input for a shell. Note that the --perm flag must be used as well when using this flag.

--noperm
    To avoid doing any checking of file permissions or ownership, use the --noperm option.

--pedantic
    Use the --pedantic option to get reports on things that are not necessarily wrong, but may indicate a bad configuration, such as inn.conf missing a key.

--perm
    inncheck checks all files for permission problems. If the --perm flag is used, then only the files specified by the file or file=path command line arguments will be checked for problems other than permission problems.

-q, --quiet
    Use the -q option (or --quiet) to get less output.

-v, --verbose
    Use the -v option (or --verbose) to get more verbose output.

EXAMPLES
To have inncheck check all files for syntax and permission problems simply run:

    inncheck

It is recommended to run the following command to be aware of all the potential problems inncheck can detect:

    inncheck -a --perm --pedantic

To have inncheck check all files for permission problems and to verify the syntax of the active and incoming.conf files, do:

    inncheck --perm active incoming.conf

To fix the permissions problems noted in the output of the above command, modify it as follows:

    inncheck -f --perm | sh

(Note that it is useless to mention the name of the two files since permission problems are checked on all files.)

To have inncheck check the test newsfeeds file in /var/tmp/newsfeeds.testing, do:

    inncheck newsfeeds=/var/tmp/newsfeeds.testing

To have inncheck check all the files as it normally does, but to specify a different location for the newsfeeds file and omit checking of the innfeed.conf file, do:

    inncheck -a newsfeeds=/var/tmp/newsfeeds.testing innfeed.conf=

BUGS
If the -f and --perm options are used together, along with -a or some file or file=path arguments that refer to a file with a syntax problem, then the output will no longer be valid input for a shell.

In most cases, inncheck currently does not correctly understand option values spanning multiple lines. If you get error messages about runaway quotes, you either have to ignore them and check the correctness of the relevant lines yourself, or merge the value into a single line.

HISTORY
Written by Brendan Kehoe <brendan@cygnus.com> and Rich Salz <rsalz@uunet.uu.net> for InterNetNews. Converted to POD by Julien Elie.

$Id: inncheck.pod 9429 2012-06-15 18:21:26Z iulius $

SEE ALSO
active(5), control.ctl(5), expire.ctl(5), history(5), incoming.conf(5), inn.conf(5), innfeed.conf(5), moderators(5), newsfeeds(5), nntpsend.ctl(5), passwd.nntp(5), readers.conf(5), storage.conf(5).